# $Revision: 1.30 $, $Date: 2011/09/01 20:10:44 $
%define		status		stable
%define		pearname	Net_SmartIRC
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - IRC client class
Summary(pl.UTF-8):	%{pearname} - klasa klienta IRC
Name:		php-pear-%{pearname}
Version:	1.0.2
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	cbaec235fb1542161f47be490a1f0bf3
Patch0:		%{name}-fix_includes.patch
Patch1:		strict.patch
URL:		http://pear.php.net/package/Net_SmartIRC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir		%{_docdir}/phpdoc

%description
Net_SmartIRC is a PHP class for communication with IRC networks, which
conforms to the RFC 2812 (IRC protocol). It's an API that handles all
IRC protocol messages. This class is designed for creating IRC bots,
chats and show irc related info on webpages.

Featurelist:
- actionhandler for the API
- messagehandler for the API
- send/receive floodprotection
- detects and changes nickname on nickname collisions
- time events
- full object oriented programmed
- autoreconnect
- debugging/logging system
- supports fsocks and PHP socket extension
- sendbuffer with priority levels
- channel synching (tracking of users/modes/topic etc in variables)
- IRC functions: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Net_SmartIRC to klasa PHP do komunikacji z sieciami IRC zgodnymi z RFC
2812 (protokołem IRC). Jest to API obsługujące wszystkie komunikaty
protokołu IRC. Ta klasa została zaprojektowana do tworzenia botów
ircowych, chatów i pokazywania informacji związanych z ircem na
stronach WWW.

Lista możliwości:
- obsługa akcji dla API
- obsługa komunikatów dla API
- zabezpieczenie przed zapchaniem przy wysyłaniu/odbieraniu
- wykrywanie i zmiana pseudonimów w przypadku kolizji
- zdarzenia czasowe
- w pełni obiektowo zorientowane programowanie
- automatyczne wznawianie połączeń
- system śledzenia i logowania
- obsługa rozszerzeń PHP fsocks i socket
- sendbuffer z priorytetami
- synchronizacja kanałów (śledzienie użytkowników/trybów/motywów w
  zmiennych)
- funkcje IRC: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite.

Ta klasa ma w PEAR status: %{status}.

%package phpdoc
Summary:	Online manual for %{name}
Summary(pl.UTF-8):	Dokumentacja online do %{name}
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for %{name}.

%description phpdoc -l pl.UTF-8
Dokumentacja do %{name}.

%prep
%pear_package_setup
%patch0 -p1
%patch1 -p1

mv docs/%{pearname}/examples .
mv docs/%{pearname}/docs/HTML apidoc
mv docs/%{pearname}/docs/* .
rmdir docs/%{pearname}/docs
mv docs/%{pearname}/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_phpdocdir}/%{pearname}
cp -a apidoc/* $RPM_BUILD_ROOT%{_phpdocdir}/%{pearname}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc CHANGELOG CREDITS FEATURES README
%doc DOCUMENTATION HOWTO
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/SmartIRC.php
%{php_pear_dir}/Net/SmartIRC

%{_examplesdir}/%{name}-%{version}

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/%{pearname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SmartIRC.spec,v $
Revision 1.30  2011/09/01 20:10:44  glen
- strict mode fixes

Revision 1.29  2010/11/15 15:55:11  glen
- up to 1.0.2

Revision 1.28  2010/08/23 17:21:06  glen
- the world without pointless macros

Revision 1.27  2010/08/23 17:19:26  glen
- fix silly typo

Revision 1.26  2010/08/20 17:01:56  glen
- fix include path

Revision 1.25  2010/08/19 13:19:42  glen
- up to 1.0.1, add phpdoc package

Revision 1.24  2008/01/31 12:16:49  glen
- rel 3

Revision 1.23  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.21  2007/01/16 18:54:11  glen
- fix for variable refs warning; rel 2

Revision 1.20  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/09/29 00:24:31  glen
- updated to 1.0.0

Revision 1.17  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.16  2004/12/05 00:10:52  adamg
- install irccomands.php too
- release 3

Revision 1.15  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.12  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.11  2003/07/23 22:33:37  adamg
- updated to 0.5.5pl1

Revision 1.10  2003/06/23 06:06:07  adamg
- added fix_includes.patch (solves Provides/Requires issue), release 2

Revision 1.9  2003/06/22 23:40:53  adamg
- added provides - is this The Right Way (tm) ?

Revision 1.8  2003/06/22 18:05:58  adamg
- fixed %doc, builds now

Revision 1.7  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/23 23:52:42  ankry
- s/temat/motyw/g

Revision 1.3  2003/01/20 19:38:09  qboosh
- pl description

Revision 1.2  2003/01/08 09:21:39  blues
- adapterized
